This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 207676 - Review Request: SDL_Pango - Rendering of internationalized text for SDL
Review Request: SDL_Pango - Rendering of internationalized text for SDL
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-22 10:24 EDT by Matthias Saou
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-28 12:46:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch for SDL_Pango-0.1.2 to suppress warning (2.57 KB, patch)
2006-09-23 10:04 EDT, Mamoru TASAKA
no flags Details | Diff

  None (edit)
Description Matthias Saou 2006-09-22 10:24:07 EDT
Spec URL: http://ftp.es6.freshrpms.net/tmp/extras/SDL_Pango.spec
Source URL: http://heanet.dl.sf.net/sdlpango/SDL_Pango-0.1.2.tar.gz
Description:
Pango is the text rendering engine of GNOME 2. SDL_Pango connects that engine
to SDL, the Simple DirectMedia Layer.

Note1: Pretty simple package, nothing fancy or complicated.
Note2: There are a few compile warnings on the SDL_pango.h file that it would be nice to fix. If someone has C knowledge to do that, please feel free to propose a quick patch.
Comment 1 Mamoru TASAKA 2006-09-23 10:05:02 EDT
Created attachment 137001 [details]
patch for SDL_Pango-0.1.2 to suppress warning

This patch should suppress warning.

Well,
* %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) is
  preferred.
* I recommend to explicitly remove *.a and *.la files in %install stage,
  not to use %exclude method.
* Don't use %makeinstall
  http://fedoraproject.org/wiki/Packaging/Guidelines
Comment 2 Matthias Saou 2006-09-26 06:13:40 EDT
Thanks a lot for the patch, it indeed supresses all the warnings.
I've also changed to using DESTDIR... I missed that section of the guidelines
somehow.

For the buildroot and the *.a/*.la files, my personal preference is the way I've
already put it. Thanks for pointing them out, but they shouldn't be blockers ;-)

http://ftp.es6.freshrpms.net/tmp/extras/SDL_Pango.spec
http://ftp.es6.freshrpms.net/tmp/extras/SDL_Pango-0.1.2-2.fc6.src.rpm
Comment 3 Mamoru TASAKA 2006-09-26 10:54:26 EDT
Well, I will do a full review for this package.

1. From http://fedoraproject.org/wiki/Packaging/Guidelines :
* rpmlint
  - rpmlint is not silent.
-----------------------------------------------------------
W: SDL_Pango wrong-file-end-of-line-encoding /usr/share/doc/SDL_Pango-0.1.2/README
W: SDL_Pango wrong-file-end-of-line-encoding /usr/share/doc/SDL_Pango-0.1.2/AUTHORS
W: SDL_Pango wrong-file-end-of-line-encoding
/usr/share/doc/SDL_Pango-0.1.2/ChangeLog
W: SDL_Pango wrong-file-end-of-line-encoding /usr/share/doc/SDL_Pango-0.1.2/NEWS
W: SDL_Pango-devel wrong-file-end-of-line-encoding
/usr/share/doc/SDL_Pango-devel-0.1.2/globals_enum.html
W: SDL_Pango-devel wrong-file-end-of-line-encoding
/usr/share/doc/SDL_Pango-devel-0.1.2/globals_eval.html
W: SDL_Pango-devel wrong-file-end-of-line-encoding
/usr/share/doc/SDL_Pango-devel-0.1.2/index.html
W: SDL_Pango-devel wrong-file-end-of-line-encoding
/usr/share/doc/SDL_Pango-devel-0.1.2/annotated.html
W: SDL_Pango-devel wrong-file-end-of-line-encoding
/usr/share/doc/SDL_Pango-devel-0.1.2/globals.html
W: SDL_Pango-devel wrong-file-end-of-line-encoding
/usr/share/doc/SDL_Pango-devel-0.1.2/globals_vars.html
W: SDL_Pango-devel wrong-file-end-of-line-encoding
/usr/share/doc/SDL_Pango-devel-0.1.2/dir_000003.html
W: SDL_Pango-devel wrong-file-end-of-line-encoding
/usr/share/doc/SDL_Pango-devel-0.1.2/struct___s_d_l_pango___matrix.html
W: SDL_Pango-devel wrong-file-end-of-line-encoding
/usr/share/doc/SDL_Pango-devel-0.1.2/dir_000002.html
W: SDL_Pango-devel wrong-file-end-of-line-encoding
/usr/share/doc/SDL_Pango-devel-0.1.2/_s_d_l___pango_8h.html
W: SDL_Pango-devel wrong-file-end-of-line-encoding
/usr/share/doc/SDL_Pango-devel-0.1.2/doxygen.css
W: SDL_Pango-devel wrong-file-end-of-line-encoding
/usr/share/doc/SDL_Pango-devel-0.1.2/files.html
W: SDL_Pango-devel wrong-file-end-of-line-encoding
/usr/share/doc/SDL_Pango-devel-0.1.2/globals_type.html
W: SDL_Pango-devel wrong-file-end-of-line-encoding
/usr/share/doc/SDL_Pango-devel-0.1.2/globals_func.html
W: SDL_Pango-devel wrong-file-end-of-line-encoding
/usr/share/doc/SDL_Pango-devel-0.1.2/dir_000000.html
W: SDL_Pango-devel wrong-file-end-of-line-encoding
/usr/share/doc/SDL_Pango-devel-0.1.2/struct___s_d_l_pango___matrix-members.html
W: SDL_Pango-devel wrong-file-end-of-line-encoding
/usr/share/doc/SDL_Pango-devel-0.1.2/_s_d_l___pango_8h-source.html
W: SDL_Pango-devel wrong-file-end-of-line-encoding
/usr/share/doc/SDL_Pango-devel-0.1.2/dir_000004.html
W: SDL_Pango-devel wrong-file-end-of-line-encoding
/usr/share/doc/SDL_Pango-devel-0.1.2/_s_d_l___pango_8c.html
W: SDL_Pango-devel wrong-file-end-of-line-encoding
/usr/share/doc/SDL_Pango-devel-0.1.2/dir_000001.html
-----------------------------------------------------------
   This is because these files have Windows-type end-of-file encoding.
   You should modify this by:
-----------------------------------------------------------
   set +x
   for f in `find . -type f` ; do
     if file $f | grep -q CRLF ; then
        echo "Fixing the encoding of $f"
        sed -i -e 's|\r||g' $f
     fi
   done
   set -x
-----------------------------------------------------------
   at the final of %prep.

* Build root tag
  - Any reason not to change this to 
    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) ? Adding
%(%{__id_u} -n)
    ensures that different users use different buildroots for rebuilding rpms.
    Well, however if you don't like this for some reason, let me know (I won't
force this
    and this is not a blocker).

2. From http://fedoraproject.org/wiki/Packaging/ReviewGuidelines :
   = Nothing.

3. Other things I have noticed:
* Well, 
  SDL_Pango-devel-0.1.2-2.fc6/usr/share/doc/SDL_Pango-devel-0.1.2/doxygen.png
  is CORRUPTED!! I think this file should be removed for this version and
  you can report this to upstream.
Comment 4 Matthias Saou 2006-09-26 12:20:47 EDT
1. Good catch. For me on FC6, "file *.html" doesn't output CRLF, so the *.html
files aren't getting fixed by your scriplet. I suggest this instead :
find . -type f -exec dos2unix -k {} \;
Adding dos2unix to the buildrequires of course. This also has the advantage of
preserving the original timestamp.

2. :-)

3. Since it's such a small files, and instead of having a broken image when
browsing the devel docs, I've added a proper doxygen.png as Source1.

http://ftp.es6.freshrpms.net/tmp/extras/SDL_Pango.spec
http://ftp.es6.freshrpms.net/tmp/extras/SDL_Pango-0.1.2-3.fc6.src.rpm
Comment 5 Mamoru TASAKA 2006-09-26 13:08:14 EDT
(In reply to comment #4)
> 1. Good catch. For me on FC6, "file *.html" doesn't output CRLF, so the *.html
> files aren't getting fixed by your scriplet. I suggest this instead :
> find . -type f -exec dos2unix -k {} \;
> Adding dos2unix to the buildrequires of course. This also has the advantage of
> preserving the original timestamp.

Strange. Surely I cannot catch DOS html files by file as "file ?.html" does
not show any sign of DOS file.
Well, http://fedoraproject.org/wiki/Packaging/Guidelines forbids to
use dos2unix, as "it fails on FC3". However, we wont't be able to release
this on FE-3 and for this case, using dos2unix is not so bad idea as
there are many DOS files.

Well, I again rebuild the rpm to check it.
Comment 6 Mamoru TASAKA 2006-09-26 13:34:20 EDT
Umm...
SDL_Pango-devel-0.1.2-3.fc6/usr/share/doc/SDL_Pango-devel-0.1.2/doxygen.png
is corrupted again.
Source1 is not corrupted, dos2unix corrupted png file.
(Note: the original doxygen.png in tar ball is surely corrupted)

Move the line:
%{__install} -m 0644 -p %{SOURCE1} docs/html/doxygen.png
to the last of %prep so that png file won't get corrupted 
or use:
"find . -not -name \*.png -type f -exec dos2unix -k {} \;"
(I think the latter is better for the case that upstream may fix png file
in new release and installing other png file gets no longer needed)

Other things are okay.

------------------------------------------------------
This package (SDL_pango) is APPROVED by me.
Comment 7 Matthias Saou 2006-09-28 08:14:22 EDT
I've made that last change (exclude *.png from the dos2unix run), imported the
package, rebuilt it for devel and requested FC-5 branch. Please double check the
CVS content, binary packages when they're available if you want, then we can
close this entry :-)

Thanks a lot for your review!
Comment 8 Mamoru TASAKA 2006-09-28 12:46:18 EDT
I downloaded SDL_Pango-0.1.2-3 from
http://buildsys.fedoraproject.org/plague-results/fedora-development-extras/
and it seems well.

Now I close this bug as CLOSED NEXTRELEASE.
Comment 9 Mamoru TASAKA 2006-10-18 11:06:03 EDT
Fix the summary so that this will not appear in
http://fedoraproject.org/wiki/Extras/PackageStatus .
Comment 10 Kevin Fenzi 2006-12-05 22:14:19 EST
I think the summary was fine (with the capital P in Pango), what you need to fix
is the owners.list file... it has SDL_pango, but the package is SDL_Pango... 
I think both the owners.list and this review summary should use "SDL_Pango"
since thats the module in CVS. 
Comment 11 Mamoru TASAKA 2006-12-05 22:27:02 EST
Matthias, I fixed owners.list of SDL_'p'ango to
SDL_'P'ango. If you meet some trouble by this change,
please let me know.
Comment 12 Matthias Saou 2006-12-11 05:28:06 EST
Thanks to both! I just got confused somewhere in the process, it seems... ;-)

Note You need to log in before you can comment on or make changes to this bug.